/**
 * [设置页面rem基准值] 使用此功能后，只用关注设计稿宽度时页面的情况，1rem = 100px，例如：width: 50px 等同于 width: 0.5rem;
 * @param {[type]} originalWidth [设计稿宽度]
 */
function setRem(originalWidth) {
	if(document.getElementById("setRem") === null) {
		var setRemStyle = document.createElement("style");
	    setRemStyle.id = "setRem";
	    setRemStyle.innerHTML = 'html{-webkit-text-size-adjust:none;-ms-text-size-adjust:none;-moz-text-size-adjust:none;text-size-adjust:none;font-size:'+ (100 / originalWidth) * document.documentElement.clientWidth +'px;}';
	    document.head.appendChild(setRemStyle);
	}
	 
	//浏览器尺寸变化时，修改rem基础值和重载css动画
	window.onresize = function() {
		document.getElementById("setRem").innerHTML = 'html{-webkit-text-size-adjust:none;-ms-text-size-adjust:none;-moz-text-size-adjust:none;text-size-adjust:none;font-size:'+ (100 / originalWidth) * document.documentElement.clientWidth +'px;}';
	}
}
setRem(750);
